summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Wilmott <p8952@gentoo.org>2015-08-11 22:53:05 +0100
committerPeter Wilmott <p8952@gentoo.org>2015-08-11 22:53:29 +0100
commit6e57823900bc54ad525d1ca118194347c0dfb2b3 (patch)
tree05b3a44e579a42d0ef6d80f3f07a36fb16bc0283 /dev-ruby
parentdev-scheme/scm: Support installation of libscm.a (bug #557310) (diff)
downloadgentoo-6e57823900bc54ad525d1ca118194347c0dfb2b3.tar.gz
gentoo-6e57823900bc54ad525d1ca118194347c0dfb2b3.tar.bz2
gentoo-6e57823900bc54ad525d1ca118194347c0dfb2b3.zip
dev-ruby/redis: Version bump & Add ruby22
Package-Manager: portage-2.2.20
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/redis/Manifest1
-rw-r--r--dev-ruby/redis/files/redis-3.2.1-local-redis-server.patch68
-rw-r--r--dev-ruby/redis/redis-3.2.1.ebuild40
3 files changed, 109 insertions, 0 deletions
diff --git a/dev-ruby/redis/Manifest b/dev-ruby/redis/Manifest
index fbc725db999..8bf6feca449 100644
--- a/dev-ruby/redis/Manifest
+++ b/dev-ruby/redis/Manifest
@@ -1,2 +1,3 @@
DIST redis-rb-3.0.6.tar.gz 62335 SHA256 06cad67fdfd6955112a65d05e0fff62b003439404f20d8b926ce92f6c5eabe4b SHA512 966a2b9bf5d3af51020015e8b066b728b0632093eedcf1ca41f82b3340d54b0bffb305a0aa7ec5c8534db0a71cd6de006a943a0ebef234a4f93204ea41a431b1 WHIRLPOOL cdeec7ccbe3dd6a4c4ea6e9e786c072cab436abacc48538501234cd58f8bb21bc8a43ad8a4db68b607c5ee9313daffe9e1eb0255057e6306db2c55d920673609
DIST redis-rb-3.0.7.tar.gz 64059 SHA256 70bc9da8d41af542f41dd8be0f69d005f981d7198e867345ded562baaaab667a SHA512 93f5e68d491010d74d3b93fe6ff4e50f28bcdf4456435ee7ea066a4e21219a438944d66ca7cbdfd7182fb4a574f26fad3b85e14c226854e4b94f0a2681b8dfd7 WHIRLPOOL eac933f32c8a5851e896cf4360af1cad54112defdd58c2999bfc6509cbbabea6be2f252730d523391bf741ce6997f334714a33498eb54df01bd1d68fecb85eee
+DIST redis-rb-3.2.1.tar.gz 69986 SHA256 ea86257db6be49bfeca8cf4a9ffc645844b2d3ffd81542b2305f3e84fdd983d1 SHA512 3c3f6bca71a9a6ef0d6cc713483445a890034b6a96c773ae6ea0bd38153752327cb4cd50cdf791b14ed211eb7323c12498665b89946d0dfd5237a97dca506b10 WHIRLPOOL 94158ef753bed9271dec78fd9fae332168cb10417016df5dd3d3b38d4808bfbbf55bd9b2bc192087aadbf8f5df86e723c001eeebee386d00c0f85ab7ad37bbb9
diff --git a/dev-ruby/redis/files/redis-3.2.1-local-redis-server.patch b/dev-ruby/redis/files/redis-3.2.1-local-redis-server.patch
new file mode 100644
index 00000000000..3c6b351db48
--- /dev/null
+++ b/dev-ruby/redis/files/redis-3.2.1-local-redis-server.patch
@@ -0,0 +1,68 @@
+--- a/Rakefile 2015-08-11 22:16:04.474139810 +0100
++++ b/Rakefile 2015-08-11 22:19:01.024398679 +0100
+@@ -1,14 +1,11 @@
+ require "rake/testtask"
+
+-ENV["REDIS_BRANCH"] ||= "unstable"
+-
+ REDIS_DIR = File.expand_path(File.join("..", "test"), __FILE__)
+ REDIS_CNF = File.join(REDIS_DIR, "test.conf")
+ REDIS_CNF_TEMPLATE = File.join(REDIS_DIR, "test.conf.erb")
+ REDIS_PID = File.join(REDIS_DIR, "db", "redis.pid")
+ REDIS_LOG = File.join(REDIS_DIR, "db", "redis.log")
+ REDIS_SOCKET = File.join(REDIS_DIR, "db", "redis.sock")
+-BINARY = "tmp/redis-#{ENV["REDIS_BRANCH"]}/src/redis-server"
+
+ task :default => :run
+
+@@ -16,9 +13,7 @@
+ task :run => [:start, :test, :stop]
+
+ desc "Start the Redis server"
+-task :start => [BINARY, REDIS_CNF] do
+- sh "#{BINARY} --version"
+-
++task :start => [REDIS_CNF] do
+ redis_running = \
+ begin
+ File.exists?(REDIS_PID) && Process.kill(0, File.read(REDIS_PID).to_i)
+@@ -27,10 +22,14 @@
+ false
+ end
+
+- unless redis_running
+- unless system("#{BINARY} #{REDIS_CNF}")
+- abort "could not start redis-server"
+- end
++ unless system("which redis-server")
++ STDERR.puts "redis-server not in PATH"
++ exit 1
++ end
++
++ unless system("redis-server #{REDIS_CNF}")
++ STDERR.puts "could not start redis-server"
++ exit 1
+ end
+
+ at_exit do
+@@ -52,20 +51,6 @@
+ FileUtils.rm_f(REDIS_CNF)
+ end
+
+-file BINARY do
+- branch = ENV.fetch("REDIS_BRANCH")
+-
+- sh <<-SH
+- mkdir -p tmp;
+- cd tmp;
+- rm -rf redis-#{branch};
+- wget https://github.com/antirez/redis/archive/#{branch}.tar.gz -O #{branch}.tar.gz;
+- tar xf #{branch}.tar.gz;
+- cd redis-#{branch};
+- make
+- SH
+-end
+-
+ file REDIS_CNF => [REDIS_CNF_TEMPLATE, __FILE__] do |t|
+ require 'erb'
+
diff --git a/dev-ruby/redis/redis-3.2.1.ebuild b/dev-ruby/redis/redis-3.2.1.ebuild
new file mode 100644
index 00000000000..a213dd19c74
--- /dev/null
+++ b/dev-ruby/redis/redis-3.2.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+MY_P="redis-rb-${PV}"
+RUBY_FAKEGEM_RECIPE_TEST="rake"
+RUBY_FAKEGEM_TASK_TEST="run"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby client library for Redis"
+HOMEPAGE="https://github.com/redis/redis-rb"
+SRC_URI="https://github.com/redis/redis-rb/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+DEPEND="test? ( dev-db/redis )"
+
+RUBY_S="${MY_P}"
+
+all_ruby_prepare() {
+ # call me impatient, but this way we don't need netcat
+ sed -i \
+ -e '/test_subscribe_past_a_timeout/,+18d' \
+ test/publish_subscribe_test.rb || die "sed failed"
+
+ # Version 3.0.6 downloads and compiles redis-server to test against.
+ # This patch reverts it to the way 3.0.5 does it, using the local server.
+ # https://github.com/redis/redis-rb/commit/351a1294fe33f79c23495b7568045e9f484918f2
+ epatch "${FILESDIR}/${PN}-3.2.1-local-redis-server.patch"
+}